6.0.0-git
2021-01-19

[#1406] HTML Signature support
Summary HTML Signature support
Queue IMP
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester chris (at) huyler (dot) net
Created 2005-02-18 (5814 days ago)
Due
Updated 2018-06-25 (939 days ago)
Assigned
Resolved 2010-04-13 (3934 days ago)
Milestone 5
Patch No

History
2012-10-24 15:44:37 Michael Slusarz Comment #9 Reply to this comment
This ticket is marked as resolved, but here still doesn't seem to be 
HTML support for email signatures. Seems like a pretty common (and 
reasonable) request. Am I missing something?
Please use the mailing list to ask for support.

http://www.horde.org/mail/ contains a list of all available mailing lists.
2012-10-24 11:59:22 admin (at) catalystwebsites (dot) co (dot) uk Comment #8 Reply to this comment
This ticket is marked as resolved, but here still doesn't seem to be 
HTML support for email signatures. Seems like a pretty common (and 
reasonable) request. Am I missing something?
2010-04-13 03:47:38 Michael Slusarz Assigned to Michael Slusarz
State ⇒ Resolved
Version ⇒ Git master
Milestone ⇒ 5
 
2010-04-13 03:47:13 Git Commit Comment #7 Reply to this comment
Changes have been made in Git for this ticket:

Ticket #1406: HTML signature support

  create mode 100644 imp/js/signaturehtml.js
  create mode 100644 imp/templates/prefs/signaturehtml.html
http://git.horde.org/diff.php/imp/compose-dimp.php?rt=horde-git&r1=b52d7646b607b11d6ec24b306f764db6a4995595&r2=fda1bfe7f1abcc401dfe96ada639c15b74765ea8
http://git.horde.org/diff.php/imp/compose.php?rt=horde-git&r1=de347bba139d81860155af2c4b215eeccc180746&r2=fda1bfe7f1abcc401dfe96ada639c15b74765ea8
http://git.horde.org/diff.php/imp/config/prefs.php.dist?rt=horde-git&r1=501fb272085a5be6024d0bc5823f9cb719366a39&r2=fda1bfe7f1abcc401dfe96ada639c15b74765ea8
http://git.horde.org/diff.php/imp/docs/CHANGES?rt=horde-git&r1=763bc2f73ce446d7c42ff21c2fdff51b27cbb807&r2=fda1bfe7f1abcc401dfe96ada639c15b74765ea8
http://git.horde.org/diff.php/imp/js/compose-base.js?rt=horde-git&r1=0d6782f3504c15183e19be8114bedd645a3f2839&r2=fda1bfe7f1abcc401dfe96ada639c15b74765ea8
http://git.horde.org/diff.php/imp/js/compose-dimp.js?rt=horde-git&r1=04c9b29fbce8650ed0140ace823036f799881c55&r2=fda1bfe7f1abcc401dfe96ada639c15b74765ea8
http://git.horde.org/co.php/imp/js/signaturehtml.js?rt=horde-git&r=fda1bfe7f1abcc401dfe96ada639c15b74765ea8
http://git.horde.org/diff.php/imp/lib/Ajax/Application.php?rt=horde-git&r1=b52d7646b607b11d6ec24b306f764db6a4995595&r2=fda1bfe7f1abcc401dfe96ada639c15b74765ea8
http://git.horde.org/diff.php/imp/lib/Compose.php?rt=horde-git&r1=686d5ca6ac47356af4ec4620486adff71baecdce&r2=fda1bfe7f1abcc401dfe96ada639c15b74765ea8
http://git.horde.org/diff.php/imp/lib/Prefs/Identity.php?rt=horde-git&r1=36d2302800c50c6392f75015115099af3ed1c25d&r2=fda1bfe7f1abcc401dfe96ada639c15b74765ea8
http://git.horde.org/diff.php/imp/lib/Prefs/Ui.php?rt=horde-git&r1=4756e848eebfc5197b8d792d60d19dbf774c0ccd&r2=fda1bfe7f1abcc401dfe96ada639c15b74765ea8
http://git.horde.org/diff.php/imp/lib/Ui/Compose.php?rt=horde-git&r1=8e95f270ab419ee274e2fdeaf3844df84c34120e&r2=fda1bfe7f1abcc401dfe96ada639c15b74765ea8
http://git.horde.org/co.php/imp/templates/prefs/signaturehtml.html?rt=horde-git&r=fda1bfe7f1abcc401dfe96ada639c15b74765ea8
2008-02-11 15:30:31 rsalmon (at) mbpgroup (dot) com Comment #6 Reply to this comment
It would be nice indeed to be able to use an HTML signature.



It could be a pref : html_sig=yes/no and in the php code

if (html_sig) {

$sig

}else {

$imp_compose->text2html($sig)

}



Or is there a way to include some HTML source code in the signature 
text field ? So that the HTML editor (xinha, fckeditor) would 
understand?





Ronan.
2008-01-21 00:01:11 enricjaen (at) yahoo (dot) es Comment #5 Reply to this comment
A workaround: Don't use the signature box. Create and save a draft   
email with your desired HTML signature at the end. Then just open the 
draft every time you want to send an email.

/Enric
2008-01-04 08:16:23 Jan Schneider Comment #4 Reply to this comment
If you need it so badly, you can hire a developer. Since this is 
partially implemented an no developer seems to have personal interest 
in a more complete solution, I doubt this will happen anytime soon, 
otherwise.
2008-01-04 01:35:23 info (at) dashwood (dot) net (dot) au Comment #3 Reply to this comment
There hasn't been an update on this request for over 2 years and if 
you Google HTML signature Horder you will find a lot of hits of people 
wanting this ability (myself included ;-)



Any chance this can be changed from Lo...or at least looked at again 
by someone?  Thanks.



BDASH...
2005-10-23 00:12:49 Jan Schneider Comment #2 Reply to this comment
Partly implemented through the stationery support.
2005-02-18 10:07:14 Jan Schneider State ⇒ Accepted
 
2005-02-18 04:52:27 chris (at) huyler (dot) net Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ HTML Signature support
Queue ⇒ IMP
Reply to this comment
In the user profile options, it would be nice to have a second 
signature field for an HTML signature.  If the user is composing a 
message with the WYSIWYG editor it will add the signature as HTML.  If 
the user is composing a message with the plain-text editor the 
standard signature will be applied.



Right now, if you put HTML into your signature, it replaces the 
characters with their html entities (e.g. &quot).

Saved Queries